@ECHO OFF
IF "%1"=="" GOTO SYNTAX
ECHO ͻ
ECHO   Applying this patch will replace the following files:             
ECHO                                                                     
ECHO                 DESREPEA.DLL, DESBROWS.DLL,DEVBASIC.LIB             
ECHO                                                                     
ECHO ͼ
ECHO ͻ
ECHO   Apply patch to upgrade DOS EXTENDER version 3.100 to revision 3.101      
ECHO   *Note THIS PATCH IS FOR DOS EXTENDER 3.100 ONLY                         
ECHO ͼ
ECHO   PRESS A KEY TO APPLY PATCH, OR CTRL-BREAK TO EXIT
PAUSE
PATCH %1 XTD3101.RTP

IF ERRORLEVEL 37 GOTO ERRORFILE
IF ERRORLEVEL 36 GOTO BADVER
IF ERRORLEVEL 35 GOTO SYNTAX
IF ERRORLEVEL 34 GOTO NOTADIR
IF ERRORLEVEL 29 GOTO NOSPACE
IF ERRORLEVEL 15 GOTO BADVER_15
IF ERRORLEVEL 9 GOTO BAD_PATCHFILE
IF ERRORLEVEL 8 GOTO bad_pexe
IF ERRORLEVEL 5 GOTO NOTADIR
IF ERRORLEVEL 4 GOTO NOTADIR
IF ERRORLEVEL 1 GOTO SYNTAX
GOTO PATCH_COMPLETE

:ERRORFILE
ECHO   An error occurred when Patch.exe was opening %1\Patch.err
ECHO ͻ
ECHO  The probable cause is some type of DOS error, retry the operation  
ECHO  after checking the disks integrity.                                
ECHO ͼ
GOTO EXIT

:BADVER
ECHO ͻ
ECHO  error ept0036: Old file not found. However, a file of the same name    
ECHO           was found. No update done since file contents do not match.   
ECHO                                                                         
ECHO  PATCH was unable to locate an exact match for the original file to     
ECHO  be updated. However, PATCH was able to locate a file with the same     
ECHO  name as the original file. However, the file found did not have either 
ECHO  the same size or checksum as the actual original file that PATCH is    
ECHO  seeking in order to perform the update.                                
ECHO ͼ
GOTO EXIT

:NOTADIR
ECHO ͻ
ECHO  Cannot Find Directory:            " %1 "
ECHO ͼ
PAUSE
GOTO SYNTAX

:SYNTAX
ECHO ͻ
ECHO  This patch should be applied by UNZIPPING XTD3101.ZIP       
ECHO  then typing:                                                
ECHO                                                              
ECHO   XTD3101 [DRIVE:\DIRECTORY]                                 
ECHO                                                              
ECHO   where [DRIVE:\DIRECTORY] is the name of the drive and path 
ECHO          where CLARION3 3.100 is installed                   
ECHO                                                              
ECHO                                                              
ECHO   example: if CLARION3 3.100 is installed in C:\CLARION3     
ECHO            then type XTD3101 C:\CLARION3                     
ECHO                                                              
ECHO ͼ
GOTO EXIT


:PATCH_COMPLETE
IF NOT EXIST %1\PATCH.ERR GOTO noerrors

ECHO 
ECHO ͻ
ECHO  PATCH HAS ERRORs, press any key to view error file  
ECHO  after viewing the errors you can rerun the patch    
ECHO ͹
ECHO   The following errors can be ignored:               
ECHO                                                      
ECHO   ept0016: New file already exists                   
ECHO   ept0024: New file already exists                   
ECHO ͼ

EDITOR %1\PATCH.ERR

CLS
ECHO ͻ
ECHO  A patchkit install set is available from Clarion Customer Service    
ECHO  at 305-785-4555 for $10.00 plus shipping charges.                    
ECHO                                                                       
ECHO ͼ
pause
GOTO EXIT

:missing_file
ECHO ͻ
ECHO  Cannot locate patch file(s)                                
ECHO  This patch should be applied by UNZIPPING XTD3101.ZIP      
ECHO  then typing:                                               
ECHO                  XTD3101 [DRIVE:\DIRECTORY]                 
ECHO ͼ
GOTO EXIT

GOTO EXIT
:BADVER_15
ECHO ͻ
ECHO                                                                         
ECHO  error ept0015: Old file does not exist                                 
ECHO                                                                         
ECHO  PATCH needs Bytes from the existing version of a file in order to build
ECHO  the new file. However, it was unable to locate the old file.           
ECHO ͼ
GOTO EXIT

:nospace
ECHO ͻ
ECHO                                                             
ECHO  There is insufficient disk space to apply the Patch,       
ECHO  please free up some space and reapply the Patch.           
ECHO                                                             
ECHO ͼ
GOTO EXIT

:BAD_PATCHFILE
ECHO ͻ
ECHO  error ept0009:                                             
ECHO  PATCH.EXE was unable to read the correct information       
ECHO  from the patch file.  Get a new copy and rerun the PATCH   
ECHO                                                             
ECHO ͼ
GOTO EXIT

:bad_pexe
ECHO ͻ
ECHO  error ept0008: PATCH.EXE and Patch file are incompatible   
ECHO                                                             
ECHO  You need an updated copy of PATCH.EXE to apply this patch. 
ECHO                                                             
ECHO ͼ
GOTO EXIT

:NOERRORS
ECHO  
ECHO ͻ
ECHO   Patch is complete, system is ready for use.    
ECHO ͼ
:EXIT
